# XQilla Simple API Documentation

# LocationInfo Class Reference

A class that gives records a location in the query. More...

`#include <LocationInfo.hpp>`

Inheritance diagram for LocationInfo:
[legend]

List of all members.

## Public Member Functions

| LocationInfo ()
| Constructor that sets the information to 0.
| LocationInfo (const XMLCh *file, unsigned int line, unsigned int column)
| Constructor that takes the initial information.
const XMLCh * | getFile () const
| The file that the query was parsed from.
unsigned int | getLine () const
| The line in the query.
unsigned int | getColumn () const
| The column in the query.
void | setLocationInfo (const XMLCh *file, unsigned int line, unsigned int column)
| Sets the location to the given information.
void | setLocationInfo (const LocationInfo *o)
| Sets the location with the information in the given LocationInfo object.

## Detailed Description

A class that gives records a location in the query.

## Constructor & Destructor Documentation

LocationInfo::LocationInfo | ( |  | ) | `[inline]`

Constructor that sets the information to 0.

LocationInfo::LocationInfo | ( | const XMLCh * | file,
|  | unsigned int | line,
|  | unsigned int | column |
| ) |  |  | `[inline]`

Constructor that takes the initial information.

## Member Function Documentation

unsigned int LocationInfo::getColumn | ( |  | ) | const`[inline]`

The column in the query.

const XMLCh* LocationInfo::getFile | ( |  | ) | const`[inline]`

The file that the query was parsed from.

This could be null.

unsigned int LocationInfo::getLine | ( |  | ) | const`[inline]`

The line in the query.

void LocationInfo::setLocationInfo | ( | const LocationInfo * | o | ) | `[inline]`

Sets the location with the information in the given LocationInfo object.

void LocationInfo::setLocationInfo | ( | const XMLCh * | file,
|  | unsigned int | line,
|  | unsigned int | column |
| ) |  |  | `[inline]`

Sets the location to the given information.

The documentation for this class was generated from the following file:

- LocationInfo.hpp